Reddit Subreddit Metadata
Endpoint reference for /v1/reddit/r/:subreddit/:type.
POST
/v1/reddit/r/:subreddit/:type Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| subreddit | path | string | Yes | Subreddit name |
| type | path | string | Yes | Metadata type: about, rules, or moderators |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/r/programming/sample" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/r/programming/sample" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"_run":{"async":false}}'